@charset "utf-8";

@import url(reset.css);
@import url(common.css);

html,body {
  min-width: 100vw;
  width: 100vw;
  overflow-x: hidden;
}
.wrap {
  position: relative;
  margin: 0 auto;
  width: 100%;
  max-width: clamp(50rem, 70vw, 75rem);
}

/* 단위
0.25rem = 4px
0.5rem = 8px
0.75rem = 12px
1rem = 16px
1.5rem = 24px
2rem = 32px
*/

/* top */
main section.top {
  height: clamp(25rem, 50vw, 75rem);
  background: url(../images/introBg.png) bottom center no-repeat;
  background-size: cover;
  display: flex;
  flex-direction: column;
}
main section.top .wrap {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  height: 100%;
}
/* 
main section.top .logo {
  margin: clamp(0.75rem, 1.5vw, 1.5rem);
  width: clamp(1rem, 2vw, 2rem);
  height: clamp(1rem, 2vw, 2rem);
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  background-color: #fff;
  border-radius: 50%;
  font-size: 0;
  z-index: 1;
  
}
main section.top .logo::before {
  position: absolute;
  top: -1px;
  left: -1px;
  right: -1px;
  bottom: -1px;
  width: clamp(1rem, 2vw, 2rem);
  height: clamp(1rem, 2vw, 2rem);
  background: url(../images/logo.png) center center no-repeat;
  background-size: cover;
  border-radius: 50%;
  content: "";
  z-index: -1;
}
*/

main section:not(.top) {
  padding: clamp(3rem, 4.5vw, 6rem) clamp(2rem, 4vw, 6rem);
  min-height: clamp(25rem, 50vw, 75rem);
}
main section h3.title {
  margin-bottom: clamp(3rem, 3.5vw, 4rem);
  font-size: clamp(1.25rem, 1.75vw, 2rem);
  font-weight: 900;
}
main section.top .textBox {
  padding-bottom: clamp(0rem, 3vw, 6rem);
  padding-left: clamp(1.5rem, 8vw, 6.25rem);
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
}
main section.top .textBox h2 {
  margin-bottom: clamp(1.25rem, 1.875vw, 2.5rem);
  font-size: clamp(2rem, 3vw, 4rem);
  font-weight: 700;
}
main section.top .textBox p {
  margin-top: clamp(0.75rem, 1.125vw, 1.5rem);
  font-size: clamp(0.75rem, 1.125vw, 1.5rem);
}
main section.top .techList {
  padding: clamp(1.5rem, 2.25vw, 3rem);
  width: 100%;
}
main section.top .techList ul {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap-reverse;
  gap: clamp(1.5rem, 2.25vw, 3rem) clamp(1.5rem, 2.25vw, 3rem);
  height: 100%;
}
main section.top .techList ul li {
  width: auto !important;
}
main section.top .techList ul li img {
  height: clamp(1.5rem, 3.75vw, 6rem);
}
main section.top .techList ul li img.ico_jquery,
main section.top .techList ul li img.ico_slack {
  height: clamp(1rem, 2vw, 3rem);
}
main section.top .techList ul li img.ico_html5,
main section.top .techList ul li img.ico_css3 {
  height: clamp(2rem, 4vw, 6rem);
}

main section.work dl {
  position: relative;
  margin-left: clamp(0rem, 0vw, 6rem);
  display: flex;
  flex-direction: column;
  gap: clamp(0rem, 1.5vw, 2rem)
}
main section.work dl + dl {
  margin-top: 3rem;
}
main section.work dt {
  font-size: clamp(0.75rem, 1vw, 1.5rem);
  position: absolute;
  top: 0.20rem;
  right: 0;
  background-color: #ddd;
}
@media (min-width: 1024px) {
  main section.work dt {
    position: static;
    top: auto;
    right: auto;
    background-color: transparent;
  }
}
main section.work dd .company {
  font-size: clamp(1rem, 1vw, 1.5rem);
  font-weight: 600;
}
main section.work dd .list {
  margin-top: clamp(1rem, 1vw, 1.25rem);
}
main section.work dd .list li {
  position: relative;
  padding-left: 0.75rem;
  font-size: clamp(0.75rem, 1vw, 1rem);
  color: #706f6f;
  line-height: clamp(1.25rem, 1.5vw, 1.75rem);
}
main section.work dd .list li::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  width: 4px;
  height: 1px;
  background-color: #706f6f;
}

main section.project {
  background-color: #f4f4f4;
}
main section.project .moveTop {
  position: fixed;
  bottom: clamp(1.75rem, 3vw, 3.75rem);
  right: clamp(1.25rem, 1.75vw, 2rem);
  width: 2.5rem;
  height: 2rem;
  line-height: 2rem;
  text-align: center;
  border: 1px solid #000;
  background-color: #333333;
  color: #fff;
  z-index: 10;
  cursor: pointer;
}
main section.project .list {
  display: block;
  grid-template-columns: none;
  gap: none;
}
@media (min-width: 1024px) {
  main section.project .list {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: clamp(1.25rem, 1.5vw, 1.5rem);
  }
}
main section.project .list li {
  padding: clamp(1.25rem, 1.5vw, 1.5rem);
  background-color: #fff;
  border: 1px solid #aeaeae;
  border-radius: 12px;
}
main section.project .list li + li {
  margin-top: clamp(1.25rem, 1.5vw, 1.5rem);
}
@media (min-width: 1024px) {
  main section.project .list li + li {
  margin-top: 0;
}
}
main section.project .list .info {
  padding-bottom: clamp(0.25rem, 0.5vw, 0.75rem);
  border-bottom: 1px solid #d3d3d3;
}
main section.project .list .info .tit {
  font-size: clamp(0.75rem, 1vw, 1.25rem);
  font-weight: 600;
  line-height: clamp(1rem, 1.25vw,1.5rem);
  width: clamp(13rem, 17vw, 21rem);
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
main section.project .list .info .tit .btnView {
  margin-left: 0.2rem;
  padding: 0.1rem 0.2rem;
  background-color: #ddd;
  font-size: clamp(0.5rem, 0.75vw, 1rem);
  text-decoration: none;
  color: #999;
  border-radius: 0.2rem;
}
main section.project .list .info .date {
  padding: clamp(0.25rem, 0.5vw, 0.75rem) 0;
  font-size: clamp(0.5rem, 0.75vw, 1rem);
  color: #737272;
  display: block;
}
main section.project .list .thumb {
  position: relative;
  margin-top: 0.5rem;
  height: clamp(13rem, 10vw, 15rem);
  background-color: #f9f9f9;
  display: none;
  overflow: hidden;
}
@media (min-width: 1024px) {
  main section.project .list .thumb {
    display: flex;
  }
}
main section.project .list .thumb::before {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  content:"";
}
main section.project .list .thumb > img {
  margin: 0 auto;
  width: 100%;
  display: block;
}
@media (min-width: 1024px) {
  main section.project .list .thumb > img {
    width: fit-content;
  }
}
main section.project .list .thumb.pc::before {
  background: url(../images/projectBg1.png) center center no-repeat;
  background-size: auto 100%;
}
main section.project .list .thumb.mo::before {
  background: url(../images/projectBg2.png) center center no-repeat;
  background-size: auto 100%;
}
main section.project .list .thumb.pc > img {
  margin: clamp(0.25rem, 3.2vw, 0.5rem) auto 0;
  width: clamp(16.5625rem, 20.7vw, 16.5625rem);
}
main section.project .list .thumb.mo > img {
  margin: clamp(0.25rem, 1.56vw, 0.5rem) auto 0;
  width: clamp(6.25rem, 7.8125vw, 6.25rem);
}

main section.project .list .tech {
  margin-top: clamp(0.25rem, 0.5vw, 0.75rem);
}
main section.project .list .tech span {
  margin-top: clamp(0.1rem, 0.3vw, 0.5rem);
  padding: 0 clamp(0.3125rem, 0.625vw, 0.625rem);
  height: clamp(1.5rem, 1.875vw, 1.875rem);
  border-radius: clamp(0.25rem, 0.3125vw, 0.3125rem);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-size: 0.75rem;
  color: #fff;
  background: #555;
}
main section.project .list .tech span.responsive {
  background-color: #007AFF;
}
main section.project .list .tech span.html {
  background-color: #e44d26;
}
main section.project .list .tech span.css {
  background-color: #264de4;
}
main section.project .list .tech span.sass {
  background-color: #bf4080;
}
main section.project .list .tech span.jquery {
  background-color: #0769ad;
}
main section.project .list .tech span.javascript {
  background-color: #f7e018;
  color: #282828;
}
main section.project .list .tech span.vue {
  content:"Vue";
  background-color: #42b883;
}
main section.project .list .tech span.react {
  content:"React";
  background-color: #087ea4;
}
main section.project .list .tech span.typescript {
  content:"TypeScript";
  background-color: #3178c6;
}
main section.project .list .tech span.node {
  content:"Node";
  background-color: #417e38;
}
main section.project .list .tech span.webpack {
  content:"Webpack";
  background-color: #2b3a42;
}
main section.project .list .tech span.java {
  content:"Java";
  background-color: #e11f21;
}
main section.project .list .tech span.spring {
  content:"Spring";
  background-color: #74b33b;
}
main section.project .list .tech span.mysql {
  content:"MySQL";
  background-color: #00758f;
}
main section.project .list .tech span.mariadb {
  content:"MariaDB";
  background-color: #003545;
}
main section.project .list .tech span.photoshop {
  background-color: #001e36;
  color: #31a8ff;
}
main section.project .list .tech span.illustrator {
  background-color: #330000;
  color: #ff9a00;
}